package com.perforce.spark.repository;

import javax.servlet.http.HttpServletResponse;

import org.apache.http.HttpResponse;

import spark.Request;
import spark.Response;

import com.perforce.p4java.server.IOptionsServer;
import com.perforce.spark.artifact.ArtifactType;
import com.perforce.spark.site.SiteType;

public interface RepoInterface {

	public String getName();

	public String getTitle();

	public String getDescription();

	public SiteType getSiteType();

	public ArtifactType getArtifactType();

	public String getSummaryPattern();

	public String getPath(Request request);

	public HttpServletResponse fetch(IOptionsServer p4, Request request,
			Response response) throws Exception;

	public HttpResponse query(IOptionsServer p4, Request request,
			Response response) throws Exception;
}
